Subject: bug#25388: Bug in ls, kills existing scripts reading "ls" -1 as input

From: Eric Blake <[email-masked]>
Date: Mon, 9 Jan 2017 14:52:17 -0600

On 01/09/2017 02:39 PM, L A Walsh wrote:
> reopen 25388
> thanks
> 
> It's still a bug as it goes against adding new behaviors that
> generate different output based on destination = tty or not.

This is NOT adding a new behavior that is based on isatty() checks.  The
output may differ, but there were no new isatty() checks added,
therefore the new behavior is NOT a violation of GNU's stance that
program output should not differ based solely on whether stdout is a tty.

-- 
Eric Blake   eblake redhat com    +1-919-301-3266
Libvirt virtualization library http://libvirt.org